Subject: RE: bug#7036: ls, mv, etc on LINUX

From: Elisabet Wahlgren <[email-masked]>
Date: Thu, 16 Sep 2010 12:57:45 +0200

Thank you very much for your prompt answer and very valuable info! I did try to surf the web for info before asking you, but I did not find your excellent FAQ link though.

My company's Linux has an ARG_MAX value of 128K, as compared to the (probable - I never had a reason to check it then) 2M limit for the Solaris OS we used to work with - seems a number of the commercial Unix variants noticed the advantage of a larger limit. The Solaris value seemed to be enough for what I was doing then and would most probably be enough for what I am doing now. Hopefully, our next Linux Service Pack might involve a recompiled kernel with an increased value, for simplicity and to avoid changing too much in our build environment etc. I'll talk to our Linux team.

Thanks again,
Regards,
Elisabet Wahlgren

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: den 15 september 2010 18:51
To: Elisabet Wahlgren
Cc: [email-masked]
Subject: Re: bug#7036: ls, mv, etc on LINUX

On 09/15/2010 09:02 AM, Elisabet Wahlgren wrote:
>
> Hi Guys,
>
> Greatly surprised (and not very happy) that my attempts to list or move files satisfying a file name pattern (like ls *.tgz for example)  fail miserably on my linux machine, when the number of files satisfying the pattern is large. Error message example: "/bin/mv: Argument list too long". Is this a bug or a feature, would you know?

Feature of your OS, and a FAQ:
http://www.gnu.org/software/coreutils/faq/#Argument-list-too-long

>
> I used to work with a Unix version (Solaris) quite a number of years (decades) and cannot remember having seen this limitation before.

Solaris has the same problem - it's just that you never presented it with enough data to reach the limit.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org